import r from "../../../../../../../@base-ui_utils@0.2.4_@types_react@18.3.27_react-dom@18.3.1_react@18.3.1__react@18.3.1/node_modules/@base-ui/utils/esm/formatErrorMessage.js";
import * as e from "react";
const o = /* @__PURE__ */ e.createContext(void 0);
process.env.NODE_ENV !== "production" && (o.displayName = "ContextMenuRootContext");
function u(n = !0) {
  const t = e.useContext(o);
  if (t === void 0 && !n)
    throw new Error(process.env.NODE_ENV !== "production" ? "Base UI: ContextMenuRootContext is missing. ContextMenu parts must be placed within <ContextMenu.Root>." : r(25));
  return t;
}
export {
  o as ContextMenuRootContext,
  u as useContextMenuRootContext
};
